/*

Copyright (C) 2009 Jaroslav Barton <djaara@djaara.net>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef FINGERMANAGER_DEVICES_MODEL_H_
#define FINGERMANAGER_DEVICES_MODEL_H_

#include <QAbstractListModel>
#include <QModelIndex>
#include <QVariant>

typedef struct {
	QString		deviceName;
	QString		devicePath;
} DeviceModel;

class FingerManagerDevicesModel : public QAbstractListModel {
	Q_OBJECT
	
	public:
		FingerManagerDevicesModel(QObject *parent = 0);
		~FingerManagerDevicesModel();
		
		int	rowCount(const QModelIndex&) const;
		QVariant data(const QModelIndex& index, int role = Qt::DisplayRole) const;

		void addDevice(const QString& devicePath, const QString& deviceName);
		void setDefaultDevice(const QString& devicePath);

		QString	getDeviceName(int row);
		QString	getDevicePath(int row);
		DeviceModel	getDeviceModel(int row);

		int	getDefaultDeviceIndex() const;

	private:
		QList<DeviceModel> m_devices;
		int m_defaultDeviceIndex;
};

#endif
